/**
 * Copyright (c) 2004 Logos GmbH Rostock (www.logos-ib.de).
 * All rights reserved.
 *
 * THIS SOFTWARE IS  PROVIDED  "AS IS"  AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF  MERCHANTABILITY  AND  FITNESS  FOR  A PARTICULAR  PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL  LOGOS GMBH  OR ITS CONTRIBUTORS BE
 * LIABLE FOR ANY  DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 * OR CONSEQUENTIAL DAMAGES  (INCL., BUT NOT LIMITED TO, PROCUREMENT
 * OF SUBSTITUTE GOODS OR SERVICES;  LOSS OF USE, DATA, OR  PROFITS;
 * OR BUSINESS INTERRUPTION)  HOWEVER  CAUSED  AND  ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,  OR TORT (INCL.
 * NEGLIGENCE OR OTHERWISE)  ARISING  IN  ANY  WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package de.bsvrz.dua.bastband.bastband.dvs.funclib;

/**
 * History:
 *
 * $Log: UnexpectedConfigurationStateException.java,v $
 * Revision 1.1  2007/07/04 11:42:14  Trier
 * Neuordnung
 *
 *
 */
import de.bsvrz.dav.daf.main.config.SystemObject;

/**
 * wird geworfen, wenn die Daten der Konfiguration nicht den Erwartungen
 * entsprechen. Diese Exception kann u.a. ausgel&ouml;st werden, wenn Referenzen
 * nicht vom richtigen Typ sind oder Zurordnungen fehlen (DE-Kanal ist keinem
 * EAK zugeordnet).
 *
 */
public class UnexpectedConfigurationStateException extends java.lang.Exception {

	private SystemObject _SystemObject;

	public UnexpectedConfigurationStateException(final String message) {
		super(message);
	}

	public UnexpectedConfigurationStateException(final String message,
			final SystemObject so) {
		super(message);
		_SystemObject = so;
	}

	/**
	 * die PID, des Objektes, das Referenzen auf falsche typen besitzt, bzw.
	 * ObjectReferenzen nicht gesetzt sind.
	 *
	 * @return String
	 */
	public SystemObject getSystemObject() {
		return _SystemObject;
	}

}
